Subject: Re: [RFC doc] Tracking git.git

From: [email-masked]
Date: Thu, 13 May 2021 07:49:30 -0700

On 13.05.2021 20:05, Bagas Sanjaya wrote:
>But tracking seen is more like tracking linux-next. We do NOT use git
>pull because often doing so will try to merge origin (upstream) with
>our local version, which are divergent and most likely will end with
>conflict.  Instead, we do git fetch first followed by resetting to
>upstream by git reset --hard origin/seen.
>
>Should the fact above be documented? And on what file the fact should
>be placed? In INSTALL?

I vote yes. I was trying out tracking the different branches and got
bitten by this very situation (tons of conflicts) when pulling seen.

Cheers!
Dave